{
  writeShellApplication,
  podman
}:

writeShellApplication {
  name = "custom-typo3-render-documentation";

  runtimeInputs = [
    podman
  ];

  # Repository: https://github.com/t3docs/DRC-The-Docker-Rendering-Container
  # Documentation: https://t3docs.github.io/DRC-The-Docker-Rendering-Container/07-To-be-sorted/quickstart.html#build-html-with-plain-docker-commands
  text = ''
    mkdir -p Documentation-GENERATED-temp
    podman \
      run --rm \
      -v "$(pwd)":/PROJECT:ro \
      -v "$(pwd)/Documentation-GENERATED-temp":/RESULT \
      ghcr.io/t3docs/render-documentation:latest \
      makehtml
  '';
}
